---
description: Install Vector on your platform
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     scripts/generate/templates/docs/setup/installation/README.md.erb
-->

# Installation

Vector compiles to a single static binary with no dependencies, making it
simple to install.

## Installer Script

Run the following in your terminal, then follow the on-screen
instructions:

```bash
curl https://sh.vector.dev -sSf | sh
```

This script performs platform detection and helps you choose the best
method for installation. If you prefer a manual approach, choose your
specific platform below.

## Platforms

{% page-ref page="platforms/docker.md" %}

## Package Managers

{% page-ref page="package-managers/dpkg.md" %}
{% page-ref page="package-managers/homebrew.md" %}
{% page-ref page="package-managers/rpm.md" %}

## Operating Systems

{% page-ref page="operating-systems/amazon-linux.md" %}
{% page-ref page="operating-systems/centos.md" %}
{% page-ref page="operating-systems/debian.md" %}
{% page-ref page="operating-systems/macos.md" %}
{% page-ref page="operating-systems/rhel.md" %}
{% page-ref page="operating-systems/ubuntu.md" %}

## Manual

{% page-ref page="manual/from-archives.md" %}

{% page-ref page="manual/from-source.md" %}

## FAQs

### How do I update Vector?

Please see the [updating guide][docs.updating]. Alternatively, each installation
page will include an "Updating" section describing how to update for that
specific method. For example, see the
[DPKG updating section][docs.package-managers.dpkg#updating].

### How do I install previous Vector versions?

Each installation page will include a "Versions" section describing how to
install specific versions. For example, see the
[DPKG versions section][docs.package-managers.dpkg#versions].


[docs.package-managers.dpkg#updating]: ../../setup/installation/package-managers/dpkg.md#updating
[docs.package-managers.dpkg#versions]: ../../setup/installation/package-managers/dpkg.md#versions
[docs.updating]: ../../usage/administration/updating.md
