---
description: Install Vector through the DKG package manager
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     scripts/generate/templates/docs/setup/installation/package-managers/dpkg.md.erb
-->

# DPKG Package Manager

Vector can be installed through the [DPKG package manager][urls.dpkg] which is
generally used on Debian and Ubuntu systems.

## Install

Download the [Vector `.deb file`][urls.vector_downloads.latest/vector-amd64.deb]:

```bash
curl -O https://packages.timber.io/vector/latest/vector-amd64.deb
```

Then install the Vector `.deb` package directly:

```bash
sudo dpkg -i vector-amd64.deb
```

Start Vector:

```bash
sudo systemctl start vector
```

That's it! Proceed to [configure](#configuring) Vector for your use case.


## Configuring

The Vector configuration file is placed in:

```
etc/vector/vector.toml
```

A full spec is located at `/etc/vector/vector.spec.toml` and examples are
located in `/etc/vector/examples/*`. You can learn more about configuring
Vector in the [Configuration][docs.configuration] section.

## Administering

Vector can be managed through the [Systemd][urls.systemd] service manager:

{% page-ref page="../../../usage/administration" %}

## Uninstalling

```bash
sudo dpkg -r vector
```

## Updating

Follow the [install](#install) steps again.

## Versions

Historical Vector versions can be found in the [releases][urls.vector_releases].
Once you've found the version you'd like to install you can re-follow the
[install](#install) steps with the URL to the Vector `.deb` file.


[docs.configuration]: ../../../usage/configuration
[urls.dpkg]: https://wiki.debian.org/dpkg
[urls.systemd]: https://www.freedesktop.org/wiki/Software/systemd/
[urls.vector_downloads.latest/vector-amd64.deb]: https://packages.timber.io/vector/latest/vector-amd64.deb
[urls.vector_releases]: https://github.com/timberio/vector/releases
