---
description: Using Vector on Docker
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     scripts/generate/templates/docs/setup/installation/platforms/docker.md.erb
-->

# Docker

Vector maintains the [`timberio/vector` Docker images][urls.docker_hub_vector]
available on [Docker Hub][urls.docker_hub_vector].

## Usage

```bash
docker run timberio/vector:latest-alpine
```

* The `vector` binary is located at `/usr/local/bin/vector`, which should be in your `$PATH`.
* The default [configuration file][docs.configuration] is located at `/etc/vector/vector.toml`.

## Configuring

The Vector Docker images ship with a [default `/etc/vector/vector.toml` configuration file][urls.default_configuration].
To use your own configuration file:

1. Create your own [Vector configuration file][docs.configuration] and save it
   as `vector.toml`.

2. Run the Vector Docker image with the following command:

   ```bash
   docker run -v $PWD/vector.toml:/etc/vector/vector.toml:ro timberio/vector:latest-alpine
   ```

   Modify `$PWD` to the directory where you store your local `vector.toml` file.

## Image Variants

### timberio/vector:&lt;version&gt;-alpine

This image is based on the [`alpine` Docker image][urls.docker_alpine], which is
a Linux distribution built around musl libc and BusyBox. It is considerably
smaller in size than other Docker images and statically links libraries. This
is the image we recommend due to it's small size and reliability.

### timberio/vector:&lt;version&gt;-debian

This image is based on the [`debian-slim` image][urls.docker_debian],
which is a smaller, more compact variant of the [`debian` image][urls.docker_debian].

## Versions

Vector's Docker images include a special `latest` version that will be updated
whenever Vector is [released][urls.vector_releases]. All other
[releases][urls.vector_releases] are available via the `X.X.X` tag:

```bash
docker run timberio/vector:X.X.X-alpine
```

## Updating

Simply run the with the `latest` tag:

```bash
docker run timberio/vector:latest-alpine
```

Or specify the exact version:

```bash
docker run timberio/vector:X.X.X-alpine
```


[docs.configuration]: ../../../usage/configuration
[urls.default_configuration]: https://github.com/timberio/vector/blob/master/config/vector.toml
[urls.docker_alpine]: https://hub.docker.com/_/alpine
[urls.docker_debian]: https://hub.docker.com/_/debian
[urls.docker_hub_vector]: https://hub.docker.com/r/timberio/vector
[urls.vector_releases]: https://github.com/timberio/vector/releases
