---
description: Receive and pull log and metric events into Vector
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     scripts/generate/templates/docs/usage/configuration/sources/README.md.erb
-->

# Sources

![][assets.sources]

Sources are responsible for ingesting [events][docs.event] into Vector, they can
both receive and pull in data. If you're deploying Vector in an [agent
role][docs.roles.agent], you'll want to look at local data sources like a
[`file`][docs.sources.file] and [`stdin`][docs.sources.stdin]. If you're deploying
Vector in a [service role][docs.roles.service], you'll want to look at sources
that receive data over the network, like the [`vector`][docs.sources.vector],
[`tcp`][docs.sources.tcp], and [`syslog`][docs.sources.syslog] sources.

| Name  | Description |
|:------|:------------|
| [**`docker`**][docs.sources.docker] | Ingests data through the docker engine daemon and outputs [`log`][docs.data-model.log] events. |
| [**`file`**][docs.sources.file] | Ingests data through one or more local files and outputs [`log`][docs.data-model.log] events. |
| [**`journald`**][docs.sources.journald] | Ingests data through log records from journald and outputs [`log`][docs.data-model.log] events. |
| [**`kafka`**][docs.sources.kafka] | Ingests data through Kafka 0.9 or later and outputs [`log`][docs.data-model.log] events. |
| [**`statsd`**][docs.sources.statsd] | Ingests data through the StatsD UDP protocol and outputs [`metric`][docs.data-model.metric] events. |
| [**`stdin`**][docs.sources.stdin] | Ingests data through standard input (STDIN) and outputs [`log`][docs.data-model.log] events. |
| [**`syslog`**][docs.sources.syslog] | Ingests data through the Syslog 5424 protocol and outputs [`log`][docs.data-model.log] events. |
| [**`tcp`**][docs.sources.tcp] | Ingests data through the TCP protocol and outputs [`log`][docs.data-model.log] events. |
| [**`udp`**][docs.sources.udp] | Ingests data through the UDP protocol and outputs [`log`][docs.data-model.log] events. |
| [**`vector`**][docs.sources.vector] | Ingests data through another upstream Vector instance and outputs [`log`][docs.data-model.log] and [`metric`][docs.data-model.metric] events. |

[+ request a new source][urls.new_source]


[assets.sources]: ../../../assets/sources.svg
[docs.data-model.log]: ../../../about/data-model/log.md
[docs.data-model.metric]: ../../../about/data-model/metric.md
[docs.event]: ../../../setup/getting-started/sending-your-first-event.md
[docs.roles.agent]: ../../../setup/deployment/roles/agent.md
[docs.roles.service]: ../../../setup/deployment/roles/service.md
[docs.sources.docker]: ../../../usage/configuration/sources/docker.md
[docs.sources.file]: ../../../usage/configuration/sources/file.md
[docs.sources.journald]: ../../../usage/configuration/sources/journald.md
[docs.sources.kafka]: ../../../usage/configuration/sources/kafka.md
[docs.sources.statsd]: ../../../usage/configuration/sources/statsd.md
[docs.sources.stdin]: ../../../usage/configuration/sources/stdin.md
[docs.sources.syslog]: ../../../usage/configuration/sources/syslog.md
[docs.sources.tcp]: ../../../usage/configuration/sources/tcp.md
[docs.sources.udp]: ../../../usage/configuration/sources/udp.md
[docs.sources.vector]: ../../../usage/configuration/sources/vector.md
[urls.new_source]: https://github.com/timberio/vector/issues/new?labels=Type%3A+New+Feature
