---
description: Parse, structure, and transform events
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     scripts/generate/templates/docs/usage/configuration/transforms/README.md.erb
-->

# Transforms

![][assets.transforms]

Transforms are in the middle of the [pipeline][docs.configuration#composition], sitting
in-between [sources][docs.sources] and [sinks][docs.sinks]. They transform
[events][docs.event] or the stream as a whole.

| Name  | Description |
|:------|:------------|
| [**`add_fields`**][docs.transforms.add_fields] | Accepts [`log`][docs.data-model.log] events and allows you to add one or more log fields. |
| [**`add_tags`**][docs.transforms.add_tags] | Accepts [`metric`][docs.data-model.metric] events and allows you to add one or more metric tags. |
| [**`coercer`**][docs.transforms.coercer] | Accepts [`log`][docs.data-model.log] events and allows you to coerce log fields into fixed types. |
| [**`field_filter`**][docs.transforms.field_filter] | Accepts [`log`][docs.data-model.log] and [`metric`][docs.data-model.metric] events and allows you to filter events by a log field's value. |
| [**`grok_parser`**][docs.transforms.grok_parser] | Accepts [`log`][docs.data-model.log] events and allows you to parse a log field value with [Grok][urls.grok]. |
| [**`json_parser`**][docs.transforms.json_parser] | Accepts [`log`][docs.data-model.log] events and allows you to parse a log field value as JSON. |
| [**`log_to_metric`**][docs.transforms.log_to_metric] | Accepts [`log`][docs.data-model.log] events and allows you to convert logs into one or more metrics. |
| [**`lua`**][docs.transforms.lua] | Accepts [`log`][docs.data-model.log] events and allows you to transform events with a full embedded [Lua][urls.lua] engine. |
| [**`regex_parser`**][docs.transforms.regex_parser] | Accepts [`log`][docs.data-model.log] events and allows you to parse a log field's value with a [Regular Expression][urls.regex]. |
| [**`remove_fields`**][docs.transforms.remove_fields] | Accepts [`log`][docs.data-model.log] events and allows you to remove one or more log fields. |
| [**`remove_tags`**][docs.transforms.remove_tags] | Accepts [`metric`][docs.data-model.metric] events and allows you to remove one or more metric tags. |
| [**`sampler`**][docs.transforms.sampler] | Accepts [`log`][docs.data-model.log] events and allows you to sample events with a configurable rate. |
| [**`split`**][docs.transforms.split] | Accepts [`log`][docs.data-model.log] events and allows you to split a field's value on a given separator and zip the tokens into ordered field names. |
| [**`tokenizer`**][docs.transforms.tokenizer] | Accepts [`log`][docs.data-model.log] events and allows you to tokenize a field's value by splitting on white space, ignoring special wrapping characters, and zip the tokens into ordered field names. |

[+ request a new transform][urls.new_transform]


[assets.transforms]: ../../../assets/transforms.svg
[docs.configuration#composition]: ../../../usage/configuration#composition
[docs.data-model.log]: ../../../about/data-model/log.md
[docs.data-model.metric]: ../../../about/data-model/metric.md
[docs.event]: ../../../setup/getting-started/sending-your-first-event.md
[docs.sinks]: ../../../usage/configuration/sinks
[docs.sources]: ../../../usage/configuration/sources
[docs.transforms.add_fields]: ../../../usage/configuration/transforms/add_fields.md
[docs.transforms.add_tags]: ../../../usage/configuration/transforms/add_tags.md
[docs.transforms.coercer]: ../../../usage/configuration/transforms/coercer.md
[docs.transforms.field_filter]: ../../../usage/configuration/transforms/field_filter.md
[docs.transforms.grok_parser]: ../../../usage/configuration/transforms/grok_parser.md
[docs.transforms.json_parser]: ../../../usage/configuration/transforms/json_parser.md
[docs.transforms.log_to_metric]: ../../../usage/configuration/transforms/log_to_metric.md
[docs.transforms.lua]: ../../../usage/configuration/transforms/lua.md
[docs.transforms.regex_parser]: ../../../usage/configuration/transforms/regex_parser.md
[docs.transforms.remove_fields]: ../../../usage/configuration/transforms/remove_fields.md
[docs.transforms.remove_tags]: ../../../usage/configuration/transforms/remove_tags.md
[docs.transforms.sampler]: ../../../usage/configuration/transforms/sampler.md
[docs.transforms.split]: ../../../usage/configuration/transforms/split.md
[docs.transforms.tokenizer]: ../../../usage/configuration/transforms/tokenizer.md
[urls.grok]: http://grokdebug.herokuapp.com/
[urls.lua]: https://www.lua.org/
[urls.new_transform]: https://github.com/timberio/vector/issues/new?labels=Type%3A+New+Feature
[urls.regex]: https://en.wikipedia.org/wiki/Regular_expression
